%define name    opengroupware-js
%define version	1.5.5
%define cvs	 20040523
%define release %{cvs}.1mdk

%ifarch %ix86 amd64 x86_64
  %define dirarch ix86
%endif
%ifarch %ppc
  %define dirarch ppc
%endif
%ifarch sparc
  %define dirarch sparc
%endif
%ifarch alpha
  %define dirarch alpha
%endif

Summary:     SpiderMonkey JavaScript library for the OpenGroupware.org env
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     MPL
URL: 	     http://www.opengroupware.org
Group:       System/Libraries
Prefix:      %{_libdir}/opengroupware.org/system
BuildRoot:   %{_tmppath}/%{name}-buildroot
Prereq:      opengroupware-gstep-make

Source:      opengroupware.org-js-%{cvs}.tar.bz2
BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel 
BuildRequires: opengroupware-gstep-objc opengroupware-gstep-objc-devel
BuildRequires: opengroupware-libfoundation opengroupware-libfoundation-devel
Requires:  opengroupware-gstep-make
Requires: opengroupware-libfoundation

%description
This package contains the SpiderMonkey JavaScript library of the Mozilla
project compiled for the OpenGroupware.org environment.

%package devel
Summary: The header files for the JavaScript library.
Group:   Development/Other
Requires: %name

%description devel
The devel package contains the header files for the JavaScript library.

%prep
%setup -q -n opengroupware.org-js

%build

GNUSTEP_SYSTEM_ROOT=''     && unset GNUSTEP_SYSTEM_ROOT
GNUSTEP_MAKEFILES=''       && unset GNUSTEP_MAKEFILES
GNUSTEP_LOCAL_ROOT=''      && unset GNUSTEP_LOCAL_ROOT
GNUSTEP_USER_ROOT=''       && unset GNUSTEP_USER_ROOT
LIBRARY_COMBO=''           && unset LIBRARY_COMBO
GNUSTEP_HOST=''            && unset GNUSTEP_HOST
GNUSTEP_HOST_CPU=''        && unset GNUSTEP_HOST_CPU
GNUSTEP_HOST_VENDOR=''     && unset GNUSTEP_HOST_VENDOR
GNUSTEP_HOST_OS=''         && unset GNUSTEP_HOST_OS
GNUSTEP_PATHPREFIX_LIST='' && unset GNUSTEP_PATHPREFIX_LIST

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=$RPM_BUILD_DIR/%{prefix}
make -s debug=yes all


%install

GNUSTEP_SYSTEM_ROOT=''     && unset GNUSTEP_SYSTEM_ROOT
GNUSTEP_MAKEFILES=''       && unset GNUSTEP_MAKEFILES
GNUSTEP_LOCAL_ROOT=''      && unset GNUSTEP_LOCAL_ROOT
GNUSTEP_USER_ROOT=''       && unset GNUSTEP_USER_ROOT
LIBRARY_COMBO=''           && unset LIBRARY_COMBO
GNUSTEP_HOST=''            && unset GNUSTEP_HOST
GNUSTEP_HOST_CPU=''        && unset GNUSTEP_HOST_CPU
GNUSTEP_HOST_VENDOR=''     && unset GNUSTEP_HOST_VENDOR
GNUSTEP_HOST_OS=''         && unset GNUSTEP_HOST_OS
GNUSTEP_PATHPREFIX_LIST='' && unset GNUSTEP_PATHPREFIX_LIST

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}%{prefix}/user
make -s debug=yes INSTALL_ROOT_DIR="${RPM_BUILD_ROOT}" GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}%{prefix}" install >.imake.log

%pre
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
   RPM_INSTALL_PREFIX="%{prefix}"
fi

if ! test -d ${RPM_INSTALL_PREFIX}; then
  echo "missing RPM install path: ${RPM_INSTALL_PREFIX} !"
  exit 1
fi

GSCFG="${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh"
if ! test -f $GSCFG ; then
  echo "missing GNUstep environment: ${GSCFG} !"
  exit 2
fi

%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
   RPM_INSTALL_PREFIX="%{prefix}"
fi
/sbin/ldconfig -n $RPM_INSTALL_PREFIX/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil

%files
%defattr(-,root,root,-)
%doc README README.html ChangeLog
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libjs*.so.1*
%{prefix}/Tools/%{dirarch}/linux-gnu/js

%files devel
%defattr(-,root,root,-)
%doc MANIFEST
%{prefix}/Headers/js
%{prefix}/Headers/%{dirarch}/linux-gnu/jsautocfg.h
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libjs*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon May 24 2004 Spencer Anderson <sdander@oberon.ark.com> 1.5.5-20040523.1mdk
- 20040523
- make arch aware

* Tue Feb 19 2004 Spencer Anderson <sdander@oberon.ark.com> 1.5.5-20040204.1mdk
- 20040204

* Thu Dec 11 2003 Spencer Anderson <sdander@oberon.ark.com> 1.5.5-20031201.3mdk
- re-upload

* Wed Dec 10 2003 Spencer Anderson <sdander@oberon.ark.com> 1.5.5-20031201.2mdk
- rebuild with proper gstep-make
- minor specfile cleaning

* Thu Dec 4 2003 Spencer Anderson <sdander@oberon.ark.com> 1.5.5-20031201.1mdk
- new snapshot - many bugfixes
- Patch0 merged upstream

* Mon Oct 6 2003 Spencer Anderson <sdander@oberon.ark.com> 1.5-20031001.1mdk
- new snapshot
- specfile cleanup

* Mon Sep 1 2003 Austin Acton <aacton@yorku.ca> 1.5-20030721.1mdk
- library-devel requires library
- Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile

